Bug 232550 - irc/bitchx: Fails to configure: depends on SSLeay() function removed in newer OpenSSL
Summary: irc/bitchx: Fails to configure: depends on SSLeay() function removed in newer...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Thomas Zander
URL:
Keywords:
Depends on:
Blocks: 231931
  Show dependency treegraph
 
Reported: 2018-10-23 01:17 UTC by dan.mashal
Modified: 2018-11-24 18:49 UTC (History)
6 users (show)

See Also:
caf: maintainer-feedback+
riggs: merge-quarterly+


Attachments
patchfile (3.36 KB, text/plain)
2018-10-23 01:17 UTC, dan.mashal
koobs: maintainer-approval? (ports-secteam)
Details
screenshot (61.24 KB, image/png)
2018-10-26 04:52 UTC, dan.mashal
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description dan.mashal 2018-10-23 01:17:36 UTC
Created attachment 198484 [details]
patchfile

Hello,

With the new openssl irc/bitchx and chinese/bitchx are failing to build.

Please patch the configure file with the attached file.

Thanks,
Dan
Comment 1 Nathan 2018-10-23 01:56:09 UTC
Have you tried patch with older OpenSSL version?
Comment 2 Nathan 2018-10-23 05:16:11 UTC
This needs to be postponed, as configure script is fixed, but port isn't compatible with OpenSSL 1.1
Comment 3 dan.mashal 2018-10-26 04:50:45 UTC
Hi,

I don't know why the patch isn't working on the builders. 

I just installed a fresh BSD 12.0 BETA, which I then did an svn clone of /base/head to /usr/src with buildworld. 

I was able to compile BitchX with this patch no problem with SSL working.

See attached screenshots...

??

Dan
Comment 4 dan.mashal 2018-10-26 04:52:44 UTC
Created attachment 198643 [details]
screenshot
Comment 5 dan.mashal 2018-10-26 06:30:49 UTC
correction: 13.0-CURRENT
Comment 6 commit-hook freebsd_committer 2018-10-26 16:43:50 UTC
A commit references this bug:

Author: danfe
Date: Fri Oct 26 16:42:56 UTC 2018
New revision: 483042
URL: https://svnweb.freebsd.org/changeset/ports/483042

Log:
  Unbreak the build against newer versions of OpenSSL where they had removed
  SSLeay() from libcrypto so configure test for it now fails.  Check against
  ERR_get_error() instead.

  PR:	232550

Changes:
  head/irc/bitchx/Makefile
Comment 7 Alexey Dokuchaev freebsd_committer 2018-10-26 16:56:50 UTC
Was fixed in ports r483042.
Comment 8 dan.mashal 2018-11-07 03:42:29 UTC
Hi,

We are getting pkg-fallout emails again. 

Speaking with people on IRC the port revision needs to be bumped.

Can you please do this?

Thanks,
Dan
Comment 9 Alexey Dokuchaev freebsd_committer 2018-11-07 06:17:28 UTC
Can you show me the Indent: line from those pkg-fallout reports you're receiving?
Comment 10 dan.mashal 2018-11-07 06:19:54 UTC
It's the quarterly branch:

[package - 120i386-quarterly][irc/bitchx] Failed for bitchx-1.2.1_1,1 in configure]

http://beefy4.nyi.freebsd.org/data/120i386-quarterly/484269/logs/bitchx-1.2.1_1,1.log
Comment 11 Kubilay Kocak freebsd_committer freebsd_triage 2018-11-07 06:57:48 UTC
Assign to committer resolving (resolved in head in ports r483042)

Pending merge to quarterly
Comment 12 Alexey Dokuchaev freebsd_committer 2018-11-07 10:17:47 UTC
Assign to secteam to handle the quarterly merge (stable/security branch).
Comment 13 caf 2018-11-12 06:09:02 UTC
MFH should resolve this in quarterly branch.
Comment 14 commit-hook freebsd_committer 2018-11-24 18:46:02 UTC
A commit references this bug:

Author: riggs
Date: Sat Nov 24 18:45:57 UTC 2018
New revision: 485780
URL: https://svnweb.freebsd.org/changeset/ports/485780

Log:
  MFH: r483042 r483384

  Unbreak the build against newer versions of OpenSSL where they had removed
  SSLeay() from libcrypto so configure test for it now fails.  Check against
  ERR_get_error() instead.

  PR:	232550

  - Remove BROKEN_SSL line (should've been part of r483042)
  - Cleanup options block a bit and use our standard LANG_HE
    option for Hebrew language support

  Approved by:	ports-secteam (riggs)

Changes:
_U  branches/2018Q4/
  branches/2018Q4/irc/bitchx/Makefile